Download it now!
Bug 61284 - floating frame: frame cannot be deleted after resize
Summary: floating frame: frame cannot be deleted after resize
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 61260 (view as bug list)
Depends on:
Blocks: Frame
  Show dependency treegraph
 
Reported: 2013-02-22 15:00 UTC by C Y Lee
Modified: 2020-08-26 03:59 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (10.88 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-22 15:00 UTC, C Y Lee
Details

Note You need to log in before you can comment on or make changes to this bug.
Description C Y Lee 2013-02-22 15:00:32 UTC
Created attachment 75322 [details]
sample file

win 7 + Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89)

self referenced + other file floating frame inserted + resized
==> green dots disapear & cannot remove the frame
==> EXCEPT CTRL - Z

Thank you.
Comment 1 Szuhánszky Tamás 2013-04-05 10:56:31 UTC
Hi!

Behavior reproduced with Win 7 and 4.0.0.3 ( + 4.0.2.2 and master ).
I have the same problem with the green dots what you mention. I am not sure that it's a bug or I just simply didn't find the option to resize the interface.
Hope someone will check it in the future.
Comment 2 Joel Madero 2013-04-14 20:27:25 UTC
Problem is even worse, no resize is needed, just click off the floating frame and you cannot delete it. 

Steps to Reproduce :
1.Open blank spreadsheet
2. Insert -> Floating Frame
3. Insert title and select the ... next to "Contents"
4. Select another spreadsheet that you have
5. Push Okay
6. Click off of newly created floating frame to another cell 


Observed:
You cannot select the floating frame to delete it nor resize it

Expected:
You should be able to select the floating frame, resize it and easily delete it

Observed on:
3.6.5.2 - as I can confirm on an earlier release, changing version 

@CY Lee - version is earliest version we see the issue, not the latest we we see it -- we use comments to say "also exists on version X.X.X.X


Marking as:
New (confirmed)
Minor - Doesn't prevent high quality work but substantially slows it down
High - slows it down enough to where it's almost unusable, you might have to do ctrl + z lots of times to revert changes and then redo your work in order to allow the resize

Thanks for the report!


+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 3 Joel Madero 2013-05-29 20:48:36 UTC
*** Bug 61260 has been marked as a duplicate of this bug. ***
Comment 4 Joel Madero 2013-05-29 21:00:48 UTC
I am upping this one, if you save the document and can't undo....you are just out of luck. 

Major
High

Cc'ing Kohei & Markus - either one of you have any thoughts on this? Floating frames are just undeletable, can be quite annoying
Comment 5 QA Administrators 2015-04-19 03:21:03 UTC Comment hidden (obsolete)
Comment 6 John 2015-05-29 04:16:59 UTC
Confirmed that this bug still exists in 4.3.7.2 running 64 bit Ubuntu 14.10. Experienced the same behavior as Joel posted on 2013-04-14.
Comment 7 John 2015-05-29 04:37:53 UTC
Also confirmed in 4.4.2.2 running 64 bit Ubuntu 15.04. Experienced the same behavior as Joel posted on 2013-04-14.
Comment 8 Rufus Smith 2016-12-08 22:27:38 UTC
Confirming in Windows 7 Professional
LibreOffice Calc Version 3.6.4.3
Comment 9 Rufus Smith 2016-12-08 23:32:21 UTC
I saw I was using a very old revision of LibreOffice
so I installed the current version.

Loaded the spreadsheet into the new version. Still
no way to remove the floating window, AFAICT.

Windows 7 Professional
LibreOffice Calc Version: 5.1.6.2
Comment 10 QA Administrators 2017-12-09 11:08:39 UTC Comment hidden (obsolete, spam)
Comment 11 QA Administrators 2020-08-26 03:59:13 UTC
Dear C Y Lee,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug